Patch Location Resource
curl --request PATCH \
--url https://api.embedreach.com/api/resources/locations/{externalId} \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
}
'import requests
url = "https://api.embedreach.com/api/resources/locations/{externalId}"
payload = { "data": {
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
locationId: '<string>',
name: '<string>',
address: '<string>',
address2: '<string>',
address3: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>'
}
})
};
fetch('https://api.embedreach.com/api/resources/locations/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"address2": "<string>",
"address3": "<string>"
}
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"address2": "<string>",
"address3": "<string>"
}
}
]
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Default Partner Resources
Patch Location Resource
Updates a location resource by its external ID. This is an incremental update, only provided fields will be updated.
PATCH
/
api
/
resources
/
locations
/
{externalId}
Patch Location Resource
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The external ID of the location resource to update
Query Parameters
Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
application/json
Partial location resource data for incremental update
Show child attributes
Show child attributes
⌘I